package cn.superdesk.uniorder.dao.mapper.sys.role;

import cn.superdesk.uniorder.dao.entity.sys.role.SysMenuOpenApi;
import cn.superdesk.uniorder.dao.entity.sys.role.SysMenuOpenApiExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysMenuOpenApiMapper {
    long countByExample(SysMenuOpenApiExample example);

    int deleteByExample(SysMenuOpenApiExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysMenuOpenApi record);

    int insertSelective(SysMenuOpenApi record);

    List<SysMenuOpenApi> selectByExample(SysMenuOpenApiExample example);

    SysMenuOpenApi selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysMenuOpenApi record, @Param("example") SysMenuOpenApiExample example);

    int updateByExample(@Param("record") SysMenuOpenApi record, @Param("example") SysMenuOpenApiExample example);

    int updateByPrimaryKeySelective(SysMenuOpenApi record);

    int updateByPrimaryKey(SysMenuOpenApi record);
}